# Generated by Django 2.1 on 2018-10-16 10:15

from django.conf import settings
import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='User',
            fields=[
                ('uid', models.IntegerField(primary_key=True, serialize=False, unique=True)),
                ('username', models.CharField(max_length=32, unique=True)),
                ('unix_hash', models.CharField(blank=True, max_length=256, null=True)),
                ('last_login', models.DateTimeField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Config',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('key', models.CharField(max_length=64, unique=True)),
                ('value', models.CharField(max_length=256)),
            ],
        ),
        migrations.CreateModel(
            name='History',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('timestamp', models.DateTimeField(auto_now_add=True, unique=True)),
                ('username', models.CharField(blank=True, max_length=32, null=True)),
                ('model', models.CharField(max_length=80)),
                ('operation', models.IntegerField(choices=[(1, 'ADD'), (2, 'MODIFY'), (3, 'DELETE')], default=1)),
                ('primary_key', django.contrib.postgres.fields.jsonb.JSONField(default=dict)),
                ('old_values', django.contrib.postgres.fields.jsonb.JSONField(blank=True, null=True)),
                ('new_values', django.contrib.postgres.fields.jsonb.JSONField(blank=True, null=True)),
            ],
            options={
                'verbose_name_plural': 'Histories',
            },
        ),
        migrations.CreateModel(
            name='Machine',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('vm_folder', models.CharField(blank=True, max_length=128, null=True)),
                ('vm_name', models.CharField(default='<new-vm>', max_length=64)),
                ('hw_cpus', models.IntegerField(blank=True, null=True)),
                ('hw_memory', models.IntegerField(blank=True, null=True)),
                ('hw_root', models.IntegerField(blank=True, null=True)),
                ('net_hostname', models.CharField(default='<new-vm>', max_length=64)),
                ('net_names', models.CharField(blank=True, max_length=256, null=True)),
                ('net_search_domains', models.CharField(blank=True, max_length=256, null=True)),
                ('net_ip', models.GenericIPAddressField(blank=True, null=True)),
                ('net_pfx_len', models.IntegerField(blank=True, null=True)),
                ('net_gw', models.GenericIPAddressField(blank=True, null=True)),
                ('admin_user', models.CharField(blank=True, max_length=32, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Package',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=64, unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='Platform',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=32)),
                ('vm_folder', models.CharField(blank=True, max_length=128, null=True)),
                ('hw_cpus', models.IntegerField(blank=True, null=True)),
                ('hw_memory', models.IntegerField(blank=True, null=True)),
                ('hw_root', models.IntegerField(blank=True, null=True)),
                ('net_search_domains', models.CharField(blank=True, max_length=256, null=True)),
                ('net_pfx_len', models.IntegerField(blank=True, null=True)),
                ('net_gw', models.GenericIPAddressField(blank=True, null=True)),
                ('admin_user', models.CharField(blank=True, max_length=32, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='PythonPackage',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=64, unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='SSHKey',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('key_data', models.CharField(max_length=2048)),
                ('key_email', models.CharField(max_length=254)),
            ],
        ),
        migrations.CreateModel(
            name='SSHKeyType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('key_type', models.CharField(max_length=32)),
            ],
        ),
        migrations.CreateModel(
            name='Team',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=32, unique=True)),
                ('vm_folder', models.CharField(blank=True, max_length=128, null=True)),
                ('hw_cpus', models.IntegerField(blank=True, null=True)),
                ('hw_memory', models.IntegerField(blank=True, null=True)),
                ('hw_root', models.IntegerField(blank=True, null=True)),
                ('net_search_domains', models.CharField(blank=True, max_length=256, null=True)),
                ('net_pfx_len', models.IntegerField(blank=True, null=True)),
                ('net_gw', models.GenericIPAddressField(blank=True, null=True)),
                ('admin_user', models.CharField(blank=True, max_length=32, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Template',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=64, unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='Vlan',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=256, unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='VMDatastore',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=64, unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='VMGuestOs',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=64, unique=True)),
                ('description', models.CharField(blank=True, max_length=128, null=True)),
            ],
        ),
        migrations.AddField(
            model_name='template',
            name='guest_id',
            field=models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='siosug.VMGuestOs'),
        ),
        migrations.AddField(
            model_name='team',
            name='net_vlan',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='siosug.Vlan'),
        ),
        migrations.AddField(
            model_name='team',
            name='users',
            field=models.ManyToManyField(blank=True, related_name='teams', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='team',
            name='vm_datastore',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='siosug.VMDatastore'),
        ),
        migrations.AddField(
            model_name='team',
            name='vm_template',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='siosug.Template'),
        ),
        migrations.AddField(
            model_name='sshkey',
            name='key_type',
            field=models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='siosug.SSHKeyType'),
        ),
        migrations.AddField(
            model_name='platform',
            name='net_vlan',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='siosug.Vlan'),
        ),
        migrations.AddField(
            model_name='platform',
            name='team',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='platforms', to='siosug.Team'),
        ),
        migrations.AddField(
            model_name='platform',
            name='users',
            field=models.ManyToManyField(blank=True, related_name='platforms', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='platform',
            name='vm_datastore',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='siosug.VMDatastore'),
        ),
        migrations.AddField(
            model_name='platform',
            name='vm_template',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='siosug.Template'),
        ),
        migrations.AddField(
            model_name='machine',
            name='net_vlan',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='siosug.Vlan'),
        ),
        migrations.AddField(
            model_name='machine',
            name='pkg_install',
            field=models.ManyToManyField(blank=True, to='siosug.Package'),
        ),
        migrations.AddField(
            model_name='machine',
            name='pkg_install_pip',
            field=models.ManyToManyField(blank=True, to='siosug.PythonPackage'),
        ),
        migrations.AddField(
            model_name='machine',
            name='platform',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='machines', to='siosug.Platform'),
        ),
        migrations.AddField(
            model_name='machine',
            name='vm_datastore',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='siosug.VMDatastore'),
        ),
        migrations.AddField(
            model_name='machine',
            name='vm_template',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='siosug.Template'),
        ),
        migrations.AddField(
            model_name='user',
            name='ssh_pubkeys',
            field=models.ManyToManyField(related_name='user', to='siosug.SSHKey'),
        ),
        migrations.AlterUniqueTogether(
            name='platform',
            unique_together={('name', 'team')},
        ),
    ]
